#!/usr/bin/env python3

import i18n
import requests

from config import getconfig


def do(action, data={}):
    conf = getconfig()
    try:
        r = requests.post(conf["url"] + "/api/" + action, data=data, auth=(conf["username"], conf["password"]))
    except:
        print(i18n.t("Could not connect to the server.  Try again."))
        return

    try:
        resp = r.json()
        if resp["status"] == "ERROR":
            raise Exception(resp["msg"])
        return resp
    except ValueError:
        raise Exception(i18n.t("Invalid response from server."))
